%global version  2.0

Name:           electronic_wechat
Version:        %{version}
Release:        1%{?dist}
Summary:        A better WeChat on Linux

Group:          Network/InstantMessaging
License:        MIT
URL:            https://github.com/geeeeeeeeek/electronic-wechat
Source0:	electronic-wechat.tar.gz
Patch3:         support-mips64el.patch

BuildRequires:	git
BuildRequires:	gcc gcc-c++
BuildRequires:	nodejs npm

%description
Electronic-Wechat is a better WeChat on macOS and Linux. Built with Electron by Zhongyi Tong.

%prep
%setup -q -n electronic-wechat
%patch3 -p1

%build
export ELECTRON_MIRROR=http://npm.taobao.org/mirrors/electron/
npm install --registry=https://registry.npm.taobao.org
npm run build:mips64el

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/opt
mkdir -p %{buildroot}/usr/share/applications

pushd dist
cp -a electronic-wechat-linux-mips64el %{buildroot}/opt
chmod 755 %{buildroot}/opt/electronic-wechat-linux-mips64el/libffmpeg.so
cp -a ../assets/icon.png %{buildroot}/opt/electronic-wechat-linux-mips64el/resources/electronic-wechat.png
popd

cat > %{buildroot}/usr/share/applications/electronic_wechat.desktop <<EOF
[Desktop Entry]
Name=Electronic Wechat
Name[zh_CN]=微信电脑版
Exec=/opt/electronic-wechat-linux-mips64el/electronic-wechat
Icon=/opt/electronic-wechat-linux-mips64el/resources/electronic-wechat.png
Terminal=false
X-MultipleArgs=false
Type=Application
Categories=Application;Utility;Network;InstantMessaging;
StartupNotify=false
EOF


%files
%defattr(-,root,root,-)
/opt
/usr

%changelog
* Mon May 28 2018 Zhou Ling <zhouling@loongson.cn> 2.0-1
- make electronic-wechat able to run on loongson platform
- make rpm package
